#include "debug.h"

#ifndef MENUTOOLBUTTON_H
#define MENUTOOLBUTTON_H
#include <QToolButton>
#include <QProxyStyle>
#include <QStyleOption>
#include <QPainter>

class MenuToolButton : public QToolButton
{
    Q_OBJECT
public:
    explicit MenuToolButton(QWidget *parent = nullptr);

Q_SIGNALS:


public Q_SLOTS:
    void tableModeChanged(bool isTableMode);

};

class ToolButtonStyle : public QProxyStyle
{
    friend class MenuToolButton;
    friend class HeaderBarContainer;
    static ToolButtonStyle *getStyle();

    ToolButtonStyle() {}

    int pixelMetric(PixelMetric metric, const QStyleOption *option = nullptr, const QWidget *widget = nullptr) const override;

    void drawComplexControl(ComplexControl control, const QStyleOptionComplex *option, QPainter *painter, const QWidget *widget = nullptr) const override;
    void drawPrimitive(PrimitiveElement element, const QStyleOption *option, QPainter *painter, const QWidget *widget = nullptr) const override;
};
#endif // MENUTOOLBUTTON_H
